layer_upsampling_1d {keras} | R Documentation

## Upsampling layer for 1D inputs.

### Description

Repeats each temporal step `size` times along the time axis.

### Usage

    layer_upsampling_1d(object, size = 2L, batch_size = NULL,
      name = NULL, trainable = NULL, weights = NULL)

### Arguments

`object` | Model or layer object
`size` | integer. Upsampling factor.
`batch_size` | Fixed batch size for layer
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### Input shape

3D tensor with shape: `(batch, steps, features)`.

### Output shape

3D tensor with shape: `(batch, upsampled_steps, features)`.

### See Also

Other convolutional layers: `layer_conv_1d`, `layer_conv_2d_transpose`, `layer_conv_2d`, `layer_conv_3d_transpose`, `layer_conv_3d`, `layer_conv_lstm_2d`, `layer_cropping_1d`, `layer_cropping_2d`, `layer_cropping_3d`, `layer_depthwise_conv_2d`, `layer_separable_conv_1d`, `layer_separable_conv_2d`, `layer_upsampling_2d`, `layer_upsampling_3d`, `layer_zero_padding_1d`, `layer_zero_padding_2d`, `layer_zero_padding_3d`

[Package keras version 2.2.4 Index]